package pl.edu.pwr.tkubik.books.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import pl.edu.pwr.tkubik.books.model.Author;


public interface AuthorRepository extends JpaRepository<Author, Integer> {
	List<Author> findByName(String name);
	@Modifying
	@Query("update Author s set s.name = ?2 where s.id = ?1")
	public void updateAuthor(int i, String name);

}
