package pl.edu.pwr.tkubik.books.service;

import java.util.List;

import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import pl.edu.pwr.tkubik.books.model.Author;

public interface AuthorService {
	public Author addAuthor(Author author);
	public List<Author> findAllAuthors();
	public void updateAuthor(Author author);
	public List<Author> findByName(String name);
}
